(defsystem "trivial-adjust-simple-array"
  :version "0.0.1"
  :author "Andrew Kravchuk <awkravchuk@gmail.com>"
  :license "MIT"
  :homepage "https://gitlab.com/lockie/trivial-adjust-simple-array"
  :components ((:file "trivial-adjust-simple-array"))
  :description "A tiny utility to change array size ensuring it is simple."
  :in-order-to ((test-op (test-op "trivial-adjust-simple-array/tests"))))

;; prevent MKCL UTF8 troubles
#+mkcl (setf *features* (remove :asdf-unicode *features*))

(defsystem "trivial-adjust-simple-array/tests"
  :author "Andrew Kravchuk <awkravchuk@gmail.com>"
  :license "MIT"
  :depends-on (#:trivial-adjust-simple-array #:alexandria #:parachute)
  :serial t
  :components ((:module "tests"
                :components
                ((:file "package")
                 (:file "main")
                 (:file "tests"))))
  :description "Test system for trivial-adjust-simple-array"
  :perform (test-op (op c) (uiop:symbol-call :trivial-adjust-simple-array/tests '#:run)))
